<?php
	require("db.php");
if(!empty($_POST["add_record"])) {
	$sql = "INSERT INTO employees ( FirstName, LastName, Title, City, State, StartDate, Note)
VALUES ( :FirstName, :LastName, :Title,  :City, :State, :StartDate, :Note)";
	$pdo_statement = $pdo_conn->prepare($sql);
    $result = $pdo_statement->execute( array ( 
    ':FirstName'=>$_POST['FirstName'], 
    ':LastName'=>$_POST['LastName'],
    ':Title'=>$_POST['Title'], 
    ':City'=>$_POST['City'], 
    ':State'=>$_POST['State'],
    ':StartDate'=>$_POST['StartDate'],      
    ':Note'=>$_POST['Note'] ) );
    if (!empty($result) ){	  
    header('location:master_page.php');}
}
?>
<!doctype html>
<html lang="en">
<head> <meta charset="utf-8"> <meta name="viewport" content="width=device-width, initial-scale=1">
<title>Employee Directory</title>
<link rel="stylesheet" href="themes/EmployeeTheme.css" />
<link rel="stylesheet" href="themes/jquery.mobile.icons.min.css" />
<link rel="stylesheet" href="http://code.jquery.com/mobile/1.4.5/jquery.mobile.structure-1.4.5.min.css" /> <link rel="stylesheet" href="css/custom_styles.css" />
<script src="http://code.jquery.com/jquery-1.11.1.min.js"></script>
<script src="http://code.jquery.com/mobile/1.4.5/jquery.mobile-1.4.5.min.js"></script>
</head>
<body>
<div data-role="page" id="home_page">
  <div data-role="header">
<h1>Employee Directory</h1>
<a href="master_page.php" class="ui-btn ui-icon-home ui-corner-all ui-btn-icon-left">Home</a>
<a href="logout.php" class="ui-btn ui-icon-user ui-corner-all ui-btn-icon-right">Log Out</a>
</div>
<div data-role="content">
<h2 class="ui-body ui-body-a ui-corner-all">ADD EMPLOYEE</h2>
<form action = "" method="POST"> 
  <div class = "ui-body ui-body-a ui-corner-all"> 
  <p><label for = "FirstName">First Name:</label> 
  <input type="text" name = "FirstName" id="FirstName" data-mini = "true" ></p> 
  <p><label for = "LastName">Last Name:</label> 
  <input type = "text" name = "LastName" id = "LastName" data-mini = "true" ></p> 
  <p><label for = "Title">Title:</label>
  <input type ="text" name = "Title" id = "Title" data-mini = "true" ></p>
  <p><label for = "City">City:</label>
  <input type = "text" name = "City" id="City" data-mini = "true" ></p>
  <p><label for = "State">State:</label> 
  <input type = "text" name = "State" id = "State" data-mini = "true" ></p>
  <p><label for="StartDate">Start Date:</label> 
  <input type = "date" name = "StartDate" id = "StartDate" data-mini = "true" ></p> 
  <p><label for = "Note">Note:</label> 
  <textarea cols = "40" rows = "8" name ="Note" id = "Note" data-mini = "true" class = "define-textarea"></textarea></p> 
  <p><input type = "submit" name = "add_record" value = "ADD EMPLOYEE" data-inline = "true" 
  data-mini = "true" data-icon = "plus" data-iconpos = "left"/></p>
  </div> 
</form>
</div>

<div data-role="footer">
<h4>&copy; 2015 by RMCS. All rights reserved.</h4>
</div>  
</div>
</body>
</html> 