<?php
session_start();
require ("db.php"); 
?>
<!-- SQL SELECT QUERY ------------------------------------------- -->
<?php	
 	$search_keyword = '';
	if(!empty($_POST['search']['keyword'])) {
		$search_keyword = $_POST['search']['keyword'];
	}
	
$sql = "SELECT ID, CONCAT(FirstName, ' ' , LastName) AS FullName, Title, Image  FROM employees 
   WHERE FirstName LIKE :keyword OR LastName LIKE :keyword OR Title LIKE :keyword ORDER BY FullName ASC";

   $pdo_statement = $pdo_conn->prepare($sql);
	$pdo_statement->bindValue(':keyword', '%' . $search_keyword . '%', PDO::PARAM_STR);
	$pdo_statement->execute();
	$result = $pdo_statement->fetchAll(); 
?>  
<!doctype html>
<html lang="en">
<head> <meta charset="utf-8"> <meta name="viewport" content="width=device-width, initial-scale=1">
<title>Employee Directory</title>
<link rel="stylesheet" href="themes/EmployeeTheme.css" />
<link rel="stylesheet" href="themes/jquery.mobile.icons.min.css" />
<link rel="stylesheet" href="http://code.jquery.com/mobile/1.4.5/jquery.mobile.structure-1.4.5.min.css" /> <link rel="stylesheet" href="css/custom_styles.css" />
<script src="http://code.jquery.com/jquery-1.11.1.min.js"></script>
<script src="http://code.jquery.com/mobile/1.4.5/jquery.mobile-1.4.5.min.js"></script>
</head>
<body>
<div data-role="page" id="home_page" data-ajax="false">
<div data-role="header">
<h1>Employee Directory</h1>
<a style="float:right" href="logout.php" class="ui-btn ui-icon-user ui-corner-all ui-btn-icon-left">Log Out</a>
<!--<a href="master_page.php" class="ui-btn ui-icon-home ui-corner-all ui-btn-icon-left">Home</a>-->
</div>
<div data-role="content">
<form name='frmSearch' action='' method='post'>
<h2 class="ui-body ui-body-a ui-corner-all">EMPLOYEE MASTER PAGE</h2>
<?php
if(isset($_SESSION["username"]))
{
    echo '<p><span class="error">Welcome: </span>'.$_SESSION["username"].'</p>';
}
else
{
    header("location:index.php");
}
?> 
<a data-role = "button" href = "add_page.php" data-inline = "true" class = "ui-btn ui-corner-all ui-icon-user ui-btn-icon-left">ADD EMPLOYEE</a>

<input type='search' name='search[keyword]' value="<?php echo $search_keyword; ?>" 
id='keyword' maxlength='25' placeholder="Enter a search word and press ENTER key">  
    
<!-- ListView --> <ul data-role = 'listview' data-inset = 'true' data-split-icon = 'edit'> <li data-role = 'list-divider'>EMPLOYEES</li> 
  
 <!-- Loop through middle list item ------------------------------------------- -->
<?php
if(!empty($result)) {
foreach($result as $row) {
?>    
    
    
<li>
<a href = 'detail_page.php?recordID=<?php echo $row["ID"]; ?>'><?php echo $row["FullName"]; ?>
<p style = 'color:orange; text-transform:uppercase'><?php echo $row["Title"]; ?></p></a>
<a href = 'edit_page.php?recordID=<?php echo $row["ID"]; ?>'><?php echo $row["FullName"]; ?></a>
</li>
    
 <?php
}
}
?>
<!-- End of middle list item ---------------------------------------------------- -->   
    
<li data-role = 'list-divider'>&nbsp;</li> </ul>
</form>
</div>

<div data-role="footer">
<h4>&copy; 2015 by RMCS. All rights reserved.</h4>
</div>  
</div>
</body>
</html> 