-- phpMyAdmin SQL Dump
-- version 4.2.11
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: Apr 02, 2018 at 06:42 AM
-- Server version: 5.6.21
-- PHP Version: 5.6.3

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `pdo_employee_directory1234`
--

-- --------------------------------------------------------

--
-- Table structure for table `departments`
--

CREATE TABLE IF NOT EXISTS `departments` (
`departmentID` int(11) NOT NULL,
  `Dept` varchar(20) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `departments`
--

INSERT INTO `departments` (`departmentID`, `Dept`) VALUES
(1, 'Human Resource'),
(2, 'IT'),
(3, 'Engineering'),
(4, 'Marketing'),
(5, 'Manufacturing'),
(6, 'Sales');

-- --------------------------------------------------------

--
-- Table structure for table `employees`
--

CREATE TABLE IF NOT EXISTS `employees` (
`ID` int(11) NOT NULL,
  `FirstName` varchar(20) NOT NULL,
  `LastName` varchar(20) NOT NULL,
  `Title` varchar(20) NOT NULL,
  `City` varchar(20) NOT NULL,
  `State` varchar(2) NOT NULL DEFAULT 'Tx',
  `StartDate` date NOT NULL,
  `Department` varchar(20) NOT NULL,
  `Note` text NOT NULL,
  `Image` varchar(20) NOT NULL,
  `DateEntered` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB AUTO_INCREMENT=122 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `employees`
--

INSERT INTO `employees` (`ID`, `FirstName`, `LastName`, `Title`, `City`, `State`, `StartDate`, `Department`, `Note`, `Image`, `DateEntered`) VALUES
(3, 'Carol', 'Green', 'IT', 'Round Rock', 'Tx', '2015-05-01', 'Engineering', 'Carol Green looks mean.', 'carol_green.jpg', '2018-03-22 03:44:50'),
(4, 'Bob', 'Jones', 'Marketing', 'Dallas', 'Tx', '2015-05-04', 'Marketing', 'Bob loves hiking. ', '', '2018-03-22 03:45:07'),
(5, 'Debra', 'Samson', 'Sales Rep', 'Austin', 'Tx', '2015-05-05', 'Sales', 'Debra loves swimming', 'debra_samson.jpg', '2018-03-22 03:46:10'),
(7, 'Jason', 'Taylor', 'QA Eng', 'Austin', 'Tx', '2015-05-01', 'IT', 'Jason loves biking.', 'jason_taylor.jpg', '2018-03-22 03:46:18'),
(10, 'Bob', 'Anderson', 'Test Eng', 'Austin', 'Tx', '2015-05-15', 'Engineering', 'Bob loves surfing.', 'bob_anderson.jpg', '2018-03-22 03:46:35'),
(121, 'Ann', 'Ricoh', 'Austin', 'QA Eng', 'Tx', '2018-03-22', 'Human Resource', 'Ann loves talking on the phone.', 'ann_ricoh.jpg', '2018-03-22 13:57:01');

-- --------------------------------------------------------

--
-- Table structure for table `passwords`
--

CREATE TABLE IF NOT EXISTS `passwords` (
`passwordID` int(11) NOT NULL,
  `FirstName` varchar(25) NOT NULL,
  `LastName` varchar(20) NOT NULL,
  `Email` varchar(30) NOT NULL,
  `Password` varchar(25) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `passwords`
--

INSERT INTO `passwords` (`passwordID`, `FirstName`, `LastName`, `Email`, `Password`) VALUES
(1, 'Ann', 'Ricoh', 'ann_ricoh@rmcs.com', 'admin'),
(2, 'Bob', 'Anderson', 'bob_anderson@rmcs.com', 'admin'),
(9, 'John', 'Doe', 'john_doe@rmcs.com', 'admin'),
(10, 'Bob', 'Jones', 'bob_jones@rmcs.com', 'admin');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `departments`
--
ALTER TABLE `departments`
 ADD PRIMARY KEY (`departmentID`);

--
-- Indexes for table `employees`
--
ALTER TABLE `employees`
 ADD PRIMARY KEY (`ID`);

--
-- Indexes for table `passwords`
--
ALTER TABLE `passwords`
 ADD PRIMARY KEY (`passwordID`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `departments`
--
ALTER TABLE `departments`
MODIFY `departmentID` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=7;
--
-- AUTO_INCREMENT for table `employees`
--
ALTER TABLE `employees`
MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=122;
--
-- AUTO_INCREMENT for table `passwords`
--
ALTER TABLE `passwords`
MODIFY `passwordID` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=11;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
